# Endpoints

- [Rates](https://docs.shiplemon.com/endpoints/rates.md): If you want to send a packages from a point A to a point B, you would probably want to know first what is the cost of it, and what are the different options in order to send your package.
- [Get Rates](https://docs.shiplemon.com/endpoints/rates/get-rates.md): Generate rates for all enabled carriers by providing a route (A to B)
- [Get Rate](https://docs.shiplemon.com/endpoints/rates/get-rate.md): This request returns the information of a single rate
- [Shipments](https://docs.shiplemon.com/endpoints/shipments.md)
- [Create Shipment](https://docs.shiplemon.com/endpoints/shipments/create-shipment.md): Creating a shipment, requires the sender's address, recipient's address, and a parcel (one or more items and their related information). Find below more details on how you can create a shipment
- [Create Shipment for Locker](https://docs.shiplemon.com/endpoints/shipments/create-shipment-for-locker.md): Creating a shipment, requires the sender's address, recipient's address, and a parcel (one or more items and their related information). Find below more details on how you can create a shipment
- [Import Shipment](https://docs.shiplemon.com/endpoints/shipments/import-shipment.md): Importing a shipment, requires the sender's address, recipient's address, and a parcel (one or more items and their related information). Find below more details on how you can import a shipment
- [Update Shipment](https://docs.shiplemon.com/endpoints/shipments/update-shipment.md): Find below more details on how you can update a shipment
- [Get shipments](https://docs.shiplemon.com/endpoints/shipments/get-shipments.md): Get all the shipments created by your API key
- [Get shipment](https://docs.shiplemon.com/endpoints/shipments/get-shipment.md): Returns a single shipment's information
- [Cancel Shipment](https://docs.shiplemon.com/endpoints/shipments/cancel-shipment.md): This endpoint can be used to cancel a shipment. In order to cancel a shipment you have to provide as path variable the id of the shipment that needs to be cancelled
- [Tracking](https://docs.shiplemon.com/endpoints/shipments/tracking.md): These endpoints can be used to get and update the shipment tracking information
- [Label Print Format](https://docs.shiplemon.com/endpoints/shipments/label-print-format.md): This page provides an overview of the different supported label options for each courier and specifies the accepted values for the create shipment parameter \`label\_print\_format\`.
- [Incoming Orders](https://docs.shiplemon.com/endpoints/incoming-orders.md): Every time that one of your customers creates a new order in your e-commerce store or marketplace, shiplemon allows you to relate your orders with your shipments and manage your workflows.
- [Create Incoming Order](https://docs.shiplemon.com/endpoints/incoming-orders/create-incoming-order.md): Creating an incoming order
- [Get incoming order](https://docs.shiplemon.com/endpoints/incoming-orders/get-incoming-order.md)
- [Set incoming order state](https://docs.shiplemon.com/endpoints/incoming-orders/set-incoming-order-state.md): Each order has a state. There are several state that categorise an order based on the state of it (New, Processing, Completed, Cancelled)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiplemon.com/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
